import logging

logger = logging.getLogger(__name__)


def insert_execution_jwt(modified_spec: dict, config: dict):
    spec = modified_spec["request"]["object"]["spec"]
    metadata = modified_spec["request"]["object"]["metadata"]
    spec["volumes"] = spec.get("volumes", [])

    secret_name = (
        "execution-"
        + metadata["labels"]["dominodatalab.com/execution-id"]
        + "-jwt-secret"
    )

    volume_spec = {
        "name": "jwt-secret-vol",
        "secret": {"defaultMode": 420, "secretName": secret_name},
    }

    spec["volumes"].append(volume_spec)
