import logging

logger = logging.getLogger(__name__)


def insert_volume_mounts(modified_spec: dict, config: dict):
    spec = modified_spec["request"]["object"]["spec"]

    container_selector = config.get("containerSelector")
    if container_selector is not None:
        container_selector = set(container_selector)

    for container in spec["containers"]:
        name = container["name"]

        if container_selector is None or name in container_selector:
            container["volumeMounts"] = container.get("volumeMounts", [])
            for volume_mount_spec in config.get("volumeMounts", []):
                volume_mount_name = volume_mount_spec.get("name")
                insert = True
                for container_volume_mount_spec in container["volumeMounts"]:
                    if volume_mount_spec == container_volume_mount_spec:
                        logger.warn(
                            f"Volume mount {volume_mount_name} already exists."
                        )
                        insert = False
                        break
                if insert:
                    container["volumeMounts"].append(volume_mount_spec)
