import logging

logger = logging.getLogger(__name__)


def insert_volumes(modified_spec: dict, config: dict):
    spec = modified_spec["request"]["object"]["spec"]
    spec["volumes"] = spec.get("volumes", [])

    existing_volumes = set(map(lambda vol: vol["name"], spec["volumes"]))

    for volume_spec in config:
        volume_name = volume_spec.get("name")
        if volume_name is None:
            logger.warn("Volume had no name.")
        elif volume_name in existing_volumes:
            logger.warn(f"Volume {volume_name} already exists.")
        else:
            spec["volumes"].append(volume_spec)
