import logging

logger = logging.getLogger(__name__)


def modify_env(modified_spec: dict, config: dict):
    spec = modified_spec["request"]["object"]["spec"]

    container_selector = config.get("containerSelector")
    if container_selector is not None:
        container_selector = set(container_selector)

    for container in spec["containers"]:
        name = container["name"]

        if container_selector is None or name in container_selector:
            container["env"] = container.get("env", [])
            for env_spec in config.get("env", []):
                insert = True
                for container_env_spec in container["env"]:
                    if env_spec["name"] == container_env_spec["name"]:
                        insert = False
                        if env_spec.get("value") != "":
                            container_env_spec["value"] = env_spec.get("value")
                        break
                if insert:
                    container["env"].append(env_spec)
