from . import WORKLOAD_CONTAINERS


def resources(modified_spec: dict, config: dict):
    spec = modified_spec["request"]["object"]["spec"]
    for container in spec["containers"]:
        name = container["name"]
        container["resources"] = container.get("resources", {})
        container["resources"]["limits"] = container["resources"].get(
            "limits", {}
        )
        container["resources"]["requests"] = container["resources"].get(
            "requests", {}
        )

        if name in WORKLOAD_CONTAINERS:
            container["resources"]["requests"].update(
                config.get("requests", {})
            )
            container["resources"]["limits"].update(config.get("limits", {}))
