def add_toleration(modified_spec: dict, config: dict):
    spec = modified_spec["request"]["object"]["spec"]
    for toleration in spec["tolerations"]:
        if (
            toleration["key"] == config["key"]
            and toleration["operator"] == config["operator"]
            and toleration["value"] == config["value"]
            and toleration["effect"] == config["effect"]
        ):
            return

    spec["tolerations"].append(
        {
            "key": config["key"],
            "operator": config["operator"],
            "value": config["value"],
            "effect": config["effect"],
        }
    )
